/* Misc.h
 *
 * Copyright 1999, Paul Kienzle (pkienzle@cs.indiana.edu)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * * Initial revision
 */

#include <gtk/gtk.h>
#include <gdk_imlib.h>

int fexist(char *name);
void gdk_rectangle_union (GdkRectangle *src1,
                          GdkRectangle *src2,
                          GdkRectangle *dest);
GdkCursor *gdk_cursor_new_from_data(const gchar *bits[], 
				    gint width, gint height,
				    GdkColor *fg, GdkColor *bg, 
				    gint hot_x, gint hot_y);
void gdk_imlib_find_unused_color(GdkImlibImage *im, GdkImlibColor *c);
GdkImlibImage *gdk_imlib_transform_image(GdkImlibImage *im, 
		gfloat scale, gfloat angle, gboolean flip);
void gdk_imlib_hsv_rotate(GdkImlibImage *im, gdouble hue, 
			  gdouble saturation, gdouble brightness,
			  gdouble alpha);
GtkWidget *picture_new(GdkImlibImage *image, int size);

void confine_add(GtkWidget *widget);
void confine_remove(GtkWidget *widget);
void confine_pointer(GtkWidget *widget);


/* I chopped image_from_drawable from Imlib 1.9.4
   so I don't have to upgrade imlib/gtk -- yes that's pretty lame */
#ifndef HAVE_GRAB_IMAGE
GdkImlibImage      *
gdk_imlib_create_image_from_drawable(GdkWindow * gwin, GdkBitmap * gmask,
				     int x, int y, int width, int height);
#endif
